> For the complete documentation index, see [llms.txt](https://developers.doku.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.doku.com/payout/kirim-doku/account-inquiry.md).

# Account Inquiry

### Account Inquiry

## POST /snap/v1.1/emoney/bank-account-inquiry

>

```json
{"openapi":"3.0.0","info":{"title":"KIRIMDOKU Snap - rem-kirimdoku-snap","version":"1.0.0"},"tags":[{"name":"ACCOUNT INQUIRY","description":"KIRIMDOKU Account Inquiry"}],"servers":[{"description":"KIRIMDOKU Sandbox","url":"https://api-sandbox.doku.com"},{"description":"KIRIMDOKU Production","url":"https://api.doku.com"}],"paths":{"/snap/v1.1/emoney/bank-account-inquiry":{"post":{"operationId":"bankAccountInquiry11","tags":["ACCOUNT INQUIRY"],"parameters":[{"$ref":"#/components/parameters/xExternalId"},{"$ref":"#/components/parameters/xPartnerId"},{"$ref":"#/components/parameters/xSignature"},{"$ref":"#/components/parameters/xTimeStamp"},{"$ref":"#/components/parameters/channelIdHeader"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postinquiryBankRequest"}}}},"responses":{"200":{"description":"Transfer bank processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/postinquiryBankResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnapFailedResponse"}}}}}}}},"components":{"parameters":{"xExternalId":{"name":"X-EXTERNAL-ID","in":"header","description":"Numeric String. Reference number that should be unique in the same day (Request Id)","required":true,"schema":{"type":"string"}},"xPartnerId":{"name":"X-PARTNER-ID","in":"header","description":"Client Id for merchant that generated by DOKU","required":true,"schema":{"type":"string"}},"xSignature":{"name":"X-SIGNATURE","in":"header","description":"Symmetric Signature with Get Token (Default)HMAC_SHA512 (clientSecret, stringToSign) dengan formula stringToSign = HTTPMethod +”:“+ EndpointUrl +\":\"+ AccessToken +\":“+ Lowercase(HexEncode(SHA-256(minify(RequestBody))))+ \":“ + TimeStamp","required":true,"schema":{"type":"string"}},"xTimeStamp":{"name":"X-TIMESTAMP","in":"header","description":"Client's current local time with format YYYY-MM-DDTHH:mm:ssZD","required":true,"schema":{"type":"string"}},"channelIdHeader":{"name":"CHANNEL-ID","in":"header","description":"refers to a unique identifier for the channel or method used to initiate a payment transaction","required":true,"schema":{"type":"string"}}},"schemas":{"postinquiryBankRequest":{"type":"object","required":["customerNumber","beneficiaryAccountNumber","beneficiaryBankCode","amount"],"properties":{"partnerReferenceNo":{"type":"string","description":"Transaction identifier on service consumer system, generated by Doku partner"},"customerNumber":{"type":"string","description":"Customer phone number with 62 or 0 prefix"},"amount":{"$ref":"#/components/schemas/amountRequestDTO"},"beneficiaryAccountNumber":{"type":"string","description":"Destination account number","maxLength":32},"additionalInfo":{"$ref":"#/components/schemas/BankAccountInquiryAdditionalInfoReqDTO"}}},"amountRequestDTO":{"type":"object","required":["value","currency"],"properties":{"value":{"type":"string"},"currency":{"type":"string"}}},"BankAccountInquiryAdditionalInfoReqDTO":{"type":"object","required":["beneficiaryBankCode","beneficiaryAccountName","senderCountryCode"],"properties":{"channelCode":{"type":"string","maxLength":5,"description":"07 = Bank Deposit, 11 = BI-FAST"},"beneficiaryBankCode":{"type":"string","maxLength":8,"description":"BI bank code"},"beneficiaryAccountName":{"type":"string","maxLength":64,"description":"Beneficiary account name"},"senderCountryCode":{"type":"string","description":"Two-letter ISO 3166-2 country code"}}},"postinquiryBankResponse":{"type":"object","properties":{"responseCode":{"type":"string"},"responseMessage":{"type":"string"},"referenceNo":{},"partnerReferenceNo":{"type":"string"},"beneficiaryAccountNumber":{"type":"string"},"beneficiaryAccountName":{"type":"string"},"beneficiaryBankCode":{"type":"string"},"beneficiaryBankShortName":{"type":"string"},"beneficiaryBankName":{"type":"string"},"amount":{"$ref":"#/components/schemas/amountRequestDTO"},"sessionId":{"type":"string","maxLength":25},"additionalInfo":{"$ref":"#/components/schemas/InquiryAdditionalInfoResDTO"}}},"InquiryAdditionalInfoResDTO":{"type":"object","properties":{"senderCountryCode":{"type":"string","description":"Two-letter ISO 3166-2 country code"},"forexRate":{"type":"string"},"forexOriginCurrency":{"type":"string"},"feeAmount":{"type":"string"},"feeCurrency":{"type":"string"},"beneficiaryAmount":{"type":"string"},"referenceNumber":{"type":"string"}}},"SnapFailedResponse":{"type":"object","required":["responseCode","responseMessage"],"properties":{"responseCode":{"type":"string","description":"Response Code with format HTTP status code + service code + case code. | min length: 1 | max length: 7"},"responseMessage":{"type":"string","description":"Failed. | min length: 1 | max length: 150"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.doku.com/payout/kirim-doku/account-inquiry.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
